Subject: Re: [net PATCH v2 1/7] octeontx2-af: Fix klockwork issue in cgx.c

From: Jakub Kicinski <[email-masked]>
Date: Tue, 25 Jun 2024 18:04:14 -0700

On Tue, 25 Jun 2024 23:03:43 +0530 Suman Ghosh wrote:
> Variable "cgx_dev" and "lmac" was getting accessed without NULL checks
> which can lead to pointer exception in some erroneous scenarios.
> This patch fixes the same by adding the required NULL checks.

Please remove the name of the tool from the subject, too.

You can add something like:

Addresses klockwork warning ${the warning generated or such}

at the end of the commit message.

If there's a path which can lead to a crash please describe it.
If there's no real issue, it's not a fix (no Fixes and net-next).

But really, we tend to avoid addressing issues just to please
overzealous static code analysis tools. And we advise against
defensive programming, so please make sure the patches actually 
make sense. I don't think patch 6 does, picking a random one to check..